package fr.doap.qodoclient;

import io.quarkus.oidc.token.propagation.*;
import jakarta.ws.rs.*;
import jakarta.ws.rs.core.*;
import org.eclipse.microprofile.rest.client.inject.*;

@RegisterRestClient(baseUri = "http://localhost:8080")
@AccessToken
@Path("/")
public interface RestClientWithTokenPropagationFilter {
	
	@GET
	@Produces(MediaType.TEXT_PLAIN)
	@Path("/oidc")
	String getOIDC();
}
